LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XNativeNumberSupplier2 Interface Reference

Methods to convert between strings of ASCII Arabic digits and native numeral strings, using NatNum params. More...

`import"XNativeNumberSupplier2.idl";`

Inheritance diagram for XNativeNumberSupplier2:

## Public Member Functions
string | getNativeNumberStringParams ([in] string NumberString, [in] ::com::sun::star::lang::Locale Locale, [in] short NativeNumberMode, [in] string NativeNumberParameters)
| Returns native number string for given number string, using NatNum params. More...
Public Member Functions inherited from XNativeNumberSupplier
string | getNativeNumberString ([in] string aNumberString, [in] ::com::sun::star::lang::Locale aLocale, [in] short nNativeNumberMode)
| Returns native number string for given number string. More...
boolean | isValidNatNum ([in] ::com::sun::star::lang::Locale aLocale, [in] short nNativeNumberMode)
| Check if the NatNum is valid for the given locale. More...
NativeNumberXmlAttributes | convertToXmlAttributes ([in] ::com::sun::star::lang::Locale aLocale, [in] short nNativeNumberMode)
| Convert a specific NatNum/Locale combination to attributes used in the XML file format. More...
short | convertFromXmlAttributes ([in] NativeNumberXmlAttributes aAttr)
| Convert XML attributes to a NatNum value. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Methods to convert between strings of ASCII Arabic digits and native numeral strings, using NatNum params.

Since
  LibreOffice 6.1

## Member Function Documentation

## ◆ getNativeNumberStringParams()

string getNativeNumberStringParams | ( | [in] string | NumberString,
|  | [in] ::com::sun::star::lang::Locale | Locale,
|  | [in] short | NativeNumberMode,
|  | [in] string | NativeNumberParameters
| ) |  |

Returns native number string for given number string, using NatNum params.

Parameters

  NumberString | The input string.
  NativeNumberMode | One of NativeNumberMode values.
  Locale | The locale.
  NativeNumberParameters | The NatNum params (like "ordinal-digits" in [NatNum12 ordinal-digits]).

The documentation for this interface was generated from the following file:

- com/sun/star/i18n/XNativeNumberSupplier2.idl